#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	libindicator
Version		:	12.10.1
Release		:	16.2.1.rel%{?dist}
Summary		:	Shared functions for Ayatana indicators

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0-only
URL		:	https://launchpad.net/libindicator/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-glib262-g_define_type_with_private.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
A set of symbols and convenience functions that
all Ayatana indicators are likely to use.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/libdummy-*.so
%{_datadir}/%{name}/80indicator-debugging

#=============================================================================
%package		gtk3
Summary		:	GTK+3 build of %{name}

#-----------------------------------------------------------------------------
%description		gtk3
A set of symbols and convenience functions
that all Ayatana indicators are likely to use.
This is the GTK+ 3 build of %{name}, for use
by GTK+ 3 apps.

#-----------------------------------------------------------------------------
%files			gtk3
%defattr(-,root,root,-)
%{_libdir}/%{name}3.so.7*

#=============================================================================
%package		gtk3-tools
Summary		:	Shared functions for Ayatana indicators - Tools

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk3		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gtk3-tools
This package contains tools used by the
%{name} package, the Ayatana indicators system.

#-----------------------------------------------------------------------------
%files			gtk3-tools
%defattr(-,root,root,-)
%{_libexecdir}/indicator-loader3

#=============================================================================
%package		gtk3-devel
Summary		:	Development files for %{name}-gtk3

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk3	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gtk3-devel
The %{name}-gtk3-devel package contains
libraries and header files for developing
applications that use %{name}-gtk3.

#-----------------------------------------------------------------------------
%files			gtk3-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}3-0.4/%{name}/*.h
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/indicator3-0.4.pc

#=============================================================================
%prep
%setup -q 
%patch -P 0 -p2 

#problem with library definition
sed -i							\
  -e "\@LIBINDICATOR_LIBS@s|\$LIBM| \$LIBM|"		\
  configure.ac

#problem with error 'g_type_class_add_private' is deprecated
sed -i							\
  -e "s/-Werror//"					\
  {libindicator,tools}/Makefile.am

#-----------------------------------------------------------------------------
#building application
%build

autoreconf	-vif

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\
	--with-gtk=3 					\

sed -i							\
 -e "s/ -shared / -Wl,-O1,--as-needed\0/g"		\
 libtool

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
